[SciPy-user] umfpack and building scipy from source

Robert Kern robert.kern at gmail.com
Thu Nov 30 13:12:39 CST 2006


Ryan Krauss wrote:
> I may have had the misfortune of checking out of svn last night while
> numpy and scipy were out of sync. 

No, you didn't. The C API did not change from 1000002 to 1000009 in that time.
That happened a while ago.

> I re-did my svn checkout just now
> and numpy didn't change, but scipy went from version 2339 to 2342.  I
> now get fewer errors.  I also did a python setup.py clean for each
> before rebuilding and deleted site-packages/numpy and /scipy before
> rebuilding.  I am still getting an error from scipy.test that it is
> built against a different version of the API (see below).  Is this
> detrimental?

Yes. Try printing out numpy.__file__ and scipy.__file__ to make sure that you're
importing the packages you think you are.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
 that is made terrible by our own mad attempt to interpret it as though it had
 an underlying truth."
  -- Umberto Eco


More information about the SciPy-user mailing list